Default Theme doesn't get updated when updating to 10.0.5esr

VERIFIED WORKSFORME

Status

()

Firefox
Untriaged
VERIFIED WORKSFORME
6 years ago
6 years ago

People

(Reporter: Paul Griffith, Unassigned)

Tracking

10 Branch
x86_64
Linux
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(3 attachments)

(Reporter)

Description

6 years ago
Created attachment 633124 [details]
screenshot of error

User Agent: Mozilla/5.0 (X11; Linux i686 on x86_64; rv:10.0.5) Gecko/20100101 Firefox/10.0.5
Build ID: 20120531185831

Steps to reproduce:

Download the 10.05 ESR and unpacked it
launched  FF 


Actual results:

Eveything works but when I go to tge Appearance Tab in the Add-ons Manager I see a warning message.

Default is is incompatible with Firefox 10.0.5
Default 10.0.4 


Expected results:

I expect the see the Default theme updated to 10.0.5
(Reporter)

Updated

6 years ago
tracking-firefox-esr10: --- → ?
Hardware: x86 → x86_64
(Reporter)

Comment 1

6 years ago
If I remove my FF profile and allow 10.0.5esr to recreate it, everything is OK.
Keywords: regressionwindow-wanted
Keywords: qawanted
Unable to reproduce this with:
Mozilla/5.0 (X11; Linux x86_64; rv:10.0.5esrpre) Gecko/20120531 Firefox/10.0.5esrpre
Mozilla/5.0 (X11; Linux i686 on x86_64; rv:10.0.5esrpre) Gecko/20120531 Firefox/10.0.5esrpre
Mozilla/5.0 (X11; Linux x86_64; rv:10.0.6esrpre) Gecko/20120619 Firefox/10.0.6esrpre
Mozilla/5.0 (X11; Linux i686 on x86_64; rv:10.0.6esrpre) Gecko/20120619 Firefox/10.0.6esrpre

Can you please clarify your exact steps to reproduce this? If it happens by starting the latest Firefox 10.0.6esrpre Nightly and a new profile?
(Reporter)

Comment 3

6 years ago
(In reply to Anthony Hughes, Mozilla QA (irc: ashughes) from comment #2)
> Unable to reproduce this with:
> Mozilla/5.0 (X11; Linux x86_64; rv:10.0.5esrpre) Gecko/20120531
> Firefox/10.0.5esrpre
> Mozilla/5.0 (X11; Linux i686 on x86_64; rv:10.0.5esrpre) Gecko/20120531
> Firefox/10.0.5esrpre
> Mozilla/5.0 (X11; Linux x86_64; rv:10.0.6esrpre) Gecko/20120619
> Firefox/10.0.6esrpre
> Mozilla/5.0 (X11; Linux i686 on x86_64; rv:10.0.6esrpre) Gecko/20120619
> Firefox/10.0.6esrpre
> 
> Can you please clarify your exact steps to reproduce this? If it happens by
> starting the latest Firefox 10.0.6esrpre Nightly and a new profile?


Hi,

Here is what I did, which is nothing different from what I did with the 10.0.4esr upgrade.

Test #1 - keep existing profile, problem still exists

wget ftp://ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-esr10/firefox-10.0.6esrpre.en-US.linux-i686.tar.bz2
tar jxf firefox-10.0.6esrpre.en-US.linux-i686.tar.bz2
cd firefox
./firefox


Test #2 - remove profile and let FF create a new one, problem is resolved.
mv ~/.mozilla/firefox/ ~/.mozilla/firefox.backup
./firefox

I will add some more screenshots.
(Reporter)

Comment 4

6 years ago
Created attachment 635282 [details]
FF 20.0.6esrpre with default theme error, existing profile
(Reporter)

Comment 5

6 years ago
Created attachment 635283 [details]
FF 10.0.6esrpre - with new profile, no warnings about default theme.
This would suggest that it's something particular to your profile since all of my testing was done with a new profile. Do you have any other add-ons or themes installed in your *broken* profile?
Keywords: qawanted, regressionwindow-wanted
[Triage Comment]

Given that this appears to be a user profile issue and not one with the ESR builds themselves, I'm removing tracking.
tracking-firefox-esr10: ? → ---
(Reporter)

Comment 8

6 years ago
Problem related to my profile, sorry for the trouble!
Status: UNCONFIRMED → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → INVALID
Thanks for your help Paul.
Status: RESOLVED → VERIFIED
Resolution: INVALID → WORKSFORME
You need to log in before you can comment on or make changes to this bug.